Preferences Settings

JPEGView provides a number of options for controlling how it handles images by default.  These are collectively known as the preferences options, and can be accessed via the Preferences menu item in the File menu.  The different settings are grouped into five categories Ñ Windows, Drawing, Bitmaps, Files, and Miscellany Ñ and you can select which set to modify via the pop-up menu near the top of the Preferences dialog.  As you make changes to the options, they take effect immediately; close the preferences dialog to save the changes to disk.  Each category and its corresponding options are described in detail below.


Windows preferences

The settings in this category allow you to control JPEGViewÕs use and placement of windows when opening new images.

Open new images on theÉ (default is Deepest screen).  These settings allow you to choose which monitor JPEGView uses for opening new images:
    Deepest screen.  This is the screen that is capable of displaying the most colors.
    Largest screen.  This is the screen that has the largest number of pixels.
    Main (menubar) screen.  This is the screen that has the menubar. 
Of course, if you have only one screen, this option doesnÕt affect anything; it is primarily for choosing among multiple monitors on a Òtwo-headedÓ system. 

Color screens preferred (default is on).  In conjunction with the screen selection above, this option lets you choose color screens over black & white/grayscale screens whenever a conflict occurs.  For instance, if you chose Largest screen above, and had two monitors connected which were the same size, this option would let you choose either the color or the grayscale monitor first (assuming of course that they werenÕt both color or both grayscale!)

Use full screen windows for new imagesÉ (default is Ask first for large images).  This setting controls how JPEGView handles the automatic use of full screen windows:
    Always.  Use a full screen window for every image opened, no matter what its size.
    Always for large images.  Use a full screen window for any image taller than the height of your screen.
    Ask first for large images.  Ask to use a full screen window for any image taller than the height of your screen.
    Never, even for large images.  Never use a full screen window for any image opened, no matter what its size.

Expand small images to maximum size (default is off).  This option lets you choose the normal size of any image smaller than the screen it is displayed on (including small images produced from cropping).  With this option off, these images are simply displayed at their original size, with no scaling.  Turning this option on automatically expands these images to their largest possible size on the screen whenever they are created.

Allow only one open image at a time (default is off).  This option allows you to insist that there be only one image open at any given time.  With this option turned on, JPEGView will automatically close all open images before loading in any additional images.  This helps keep your desktop clear of multiple images and saves you the trouble of closing every image manually before opening a new one.  Leaving this option off allows you to open multiple images simultaneously without any hassle.


Drawing preferences

These preferences options control exactly how JPEGView chooses colors and handles drawing images when you open them.

Display quality (screens with 256 or more colors)É (default is High).  This setting controls the drawing quality for newly-opened images:
    Very high.  Selects the highest-quality display, using JPEGViewÕs custom dithering and high-resolution scaling algorithms.
    High.  Selects a high-quality display, using JPEGViewÕs custom dithering and faster scaling algorithms.
    Normal.  Selects normal-quality display, using the QuickDrawÕs built-in dithering and scaling algorithms.
For more information on these quality settings, check out the Colors and Color Reduction chapter.  Note that these quality settings only affect color displays with 256 or more colors, and that high-quality only works on 256-color displays.  For this reason, the quality setting reported by JPEGView may actually be lower than what you set here.

Never do slow background updates (default is on).  This setting lets you disable slow window updates when JPEGView is not the active application.  When this option is checked, obscured image windows that have no offscreen bitmap will remain displayed as a pattern of dots until you bring JPEGView to the front again.  Turning this option off will allow these updates to proceed normally, possibly delaying other applications.

Automatically reduce images to 16 or 256 colorsÉ (default is Only if no image colors are found).  These settings let you control when JPEGView performs two-pass color reduction on newly-opened images:
    Always.  Performs two-pass color reduction on every image where it is applicable, even if the image has its own color set.
    Only if no image colors are found.  Performs two-pass color reduction on an applicable image only if the image has no color set defined with it.
    Never.  Never performs two-pass color reduction on any image.
The use of two-pass color reduction is limited to Òhigh-colorÓ images, that is, images containing Thousands or Millions of colors, and then only when they are displayed on screens with 256 or 16 colors.

Dither reduced color images (default is on).  This option gives you control over JPEGViewÕs dithering whenever two-pass color reduction is used on an image.  Because two-pass color reduction usually does such a good job of choosing colors, you may find that dithering is unnecessary.  If this box is checked, images displayed with two-pass color reduction will always be dithered.  If this box is left unchecked, then these images will be left undithered.

Use image colors, if available (default is on).  This checkbox controls JPEGViewÕs use of image colors.  When image colors are found stored with the image data, JPEGView will automatically use them for displaying the image if this option is checked.  Otherwise, the standard system colors or two-pass color reduction (whichever is appropriate) will be used.

Restore colors when closing last image (default is on).  This option lets you instruct JPEGView to automatically restore the system colors whenever the last open image is closed.  With this option off, closing the last image may leave the system in a somewhat discolored state.  But turning this option on will tell JPEGView to manually reset the colors after closing the last image.  The main disadvantage to this is that everything on the desktop will need to be redrawn in the new color set.


Bitmaps preferences

The items in this section control how JPEGView maintains its offscreen bitmaps, which are used for fast window updating.

Offscreen bitmaps areÉ (default is Optional, if memory is available).  These settings control JPEGViewÕs creation of offscreen bitmaps.
    Always required.  Requires offscreen bitmaps for all new images.  If an image can be loaded, but no bitmap can be created, JPEGView will not allow you to open the image and will give you an out of memory error.  Further, once the bitmaps are created, they cannot be deleted to make room for other operations to proceed.
    Optional, if memory is available.  Makes offscreen bitmaps an optional feature, contingent on there being enough memory to create them.  If more memory is needed for another operation, existing bitmaps can be deleted and later recreated.
    Never created.  Eliminates the use of offscreen bitmaps altogether.   Not recommended for most users.

Maintain bitmaps at imageÕs original size (default is off).  This option lets you choose to create all offscreen bitmaps at the imageÕs original size.  Normally, JPEGViewÕs bitmaps are just large enough to display whatÕs on your screen, meaning that screen updates are fast but that operations such as resizing, cropping, and preview and icon creation require that the image be decompressed again to make use of the full size and color resolution of the original.  With original size bitmaps enabled, however, these operations become very fast because the full-resolution image data is already available.  The main downside is that window updates of scaled images are slowed down because the scaling and dithering operations need to be performed to draw the correctly-sized image from the full-size original.

DonÕt use bitmaps for uncompressed images (default is off).  This checkbox controls whether JPEGView creates offscreen bitmaps for images that are uncompressed.  Because uncompressed images are usually quick to display, it can save memory if you check this box to tell JPEGView that such images donÕt need the benefits of offscreen bitmaps.  Otherwise, uncompressed images will be treated just as any other image, as far as offscreen bitmaps are concerned.


Files preferences

These options control automatic file type fixing and default options in the Save dialog. 

Automatically fix incorrect file types (default is on).  This option is used to enable JPEGViewÕs automatic file type fixing feature, which is simply a quiet means of keeping file types straight without your intervention.  With this option checked, for example, opening a JPEG file that is incorrectly identified as a GIF will cause JPEGView to automatically change the fileÕs type to JPEG.  Without this option, the file types would remain confused, and could affect the ability of other applications to correctly identify your images.

Change fixed filesÕ creator to JPEGView (default is off).  This option is an extension of the previous option which causes the creator of any file whose type was automatically fixed to be changed to JPEGView.  In practice, what this means is that the image fileÕs icon will become a JPEGView icon, and that the Finder will in the future open JPEGView whenever that image file is double-clicked.  On the other hand, leaving this option off will preserve the fileÕs original creator, meaning that images created in other applications will still be associated with their original applications.

Save reduced color informationÉ (default is Only if no image colors were found).  These settings control how the ÒInclude reduced color setÓ checkbox is set up when the Save dialog is opened an output format which supports reduced color sets is selected.
    Always.  Ensures that the ÒInclude reduced color setÓ checkbox is always selected.
    Only if no image colors were found.  Selects the ÒInclude reduced color setÓ checkbox only if the image had no image colors stored in the original data.
    Never.  Always leaves the ÒInclude reduced color setÓ option unchecked.

Save in PICT format by default (default is on).  This option lets you control which format will be chosen by default whenever an image file is saved.  Turning this option on causes the PICT format to always be selected when the Save dialog is presented.  Otherwise, the format selected in the Save dialog is the same format as that of the original file.

Include previews with saved images (default is on).  This checkbox controls the initial setting of the ÒInclude preview (thumbnail) imageÓ box in the Save dialog.  If this option is enabled, then the corresponding checkbox in the Save dialog will be checked by default whenever the output file format is PICT or JFIF.  Otherwise, the ÒInclude preview (thumbnail) imageÓ box will be left off when the Save dialog is presented.

Compress JFIF preview images (default is on).  This setting controls the use of compression when creating preview images for JFIF files.  Turning this option on means that JFIF previews are compressed using JPEG before being stored in the image data; if this option is off, JFIF previews are left uncompressed.  Although compressed previews are a more recent addition to the JFIF standard, they are stored in such a way that any JPEG decoder that follows the rules should be able to handle them.  For compatibilityÕs sake, however, this option lets you create the old-style previews as well.  Also note that PICT previews are always compressed by QuickTime, so there is no corresponding option for them.

Create custom icons when saving images (default is off).  This option sets up the ÒCreate custom preview iconsÓ checkbox when the Save dialog is presented.  If this option is on, the ÒCreate custom preview iconsÓ option will be automatically selected in the Save dialog; otherwise, the corresponding option in the Save dialog will be initially turned off.

Icon Style (default is square, dog-eared).  This popup menu allows you to choose your preferred style for custom Finder icons.  If you choose square icons, then JPEGView will extract the largest square area from the center of the icon and shrink that down into an icon; in contrast, proportional icons are scaled to dimensions proportional to the original image.  In addition, if you choose a dog-eared style, then JPEGView will fold over the upper-right corner of the iconÕs image.


Miscellaneous preferences

These preferences settings control the JPEGViewÕs behavior in various other situations.

On startupÉ (default is Present the Open dialog).  These settings control what actions JPEGView takes when it initially starts up.  Note that these actions only apply if you launch JPEGView directly by double-clicking the JPEGView icon.  If you launch JPEGView by double-clicking a document icon or by dropping a document icon onto the JPEGView icon, these actions will not be taken.
    Repeat the last slide show.  Causes the last slide show to be immediately repeated without your intervention.
    Present the Slide Show Options dialog.  Opens the Slide Show Options dialog, giving you the opportunity to set up a slide show right away.
    Present the Open dialog.  Opens the Open dialog, allowing you to select an image file right away..
    Do nothing.  Does nothing at all.

Automatic Comments window control (default is on).  This option determines who retains control of the Comments floating window.  Enabling this option means that JPEGView is in ultimate control of the Comments floating window.  In this situation, JPEGView will automatically make the comments visible whenever the active image contains comments, and will automatically hide the Comments window if no comments are available.  Turning off this option returns full control of the Comments floating window to you.

Time given to other applicationsÉ (default is Reasonable).  These settings let you specify how much time JPEGView gives to other applications while it is decompressing an image for display.
    Maximal.  Selects the maximum amount of time JPEGView is willing to give up.  Note that this will slow down decompression and display a great deal if there is a lot of other activity going on in your system.
    Reasonable.  Selects what JPEGView considers to be a reasonable amount of time to give to other applications.
    Minimal.  Selects the minimum amount of time JPEGView can give to other applications.  This will slow down any other activity on your system with the benefit of faster decompression and display times when JPEGView is the active application.

Use QuickTime to decompress JPEGs (default is on for 680x0 Macintoshes, and off for Power Macintoshes).  This option controls whether or not JPEGView uses QuickTimeÕs built-in JPEG decompression to display JPEG images.  On 680x0 Macintoshes, QuickTime is a big win if you have it installed, as it is much faster than the Independent JPEG GroupÕs code; however, it is also less forgiving of unusual JPEG images, and occasionally crashes when attempting to decode corrupt data.  On Power Macintoshes, the speed difference between the two is minimal, so you might as well use the more robust code.